Subject: Re: bug#25458: 25.1; tar mode does not handle compressed archives without specific extensions

From: Francesco Potortì <[email-masked]>
Date: Mon, 16 May 2022 16:24:12 +0200

>Francesco Potortì <[email-masked]> writes:
>
>> And no, there would be no way to tell Emacs to save foo.tar
>> uncompressed.  I do not think that it would be important to be able to
>> save it uncompressed.
>
>I understand that that's your use case.  I'm saying that it would be
>surprising to many, and that that's something that others might well
>want to.

I'll try one last time to illustrate my point of view.

>From Emacs:
1. I read foo.tar and I write it out as foo.tar (I don't care if it's compressed or not)
2. I read foo.tar.gz and write it out a foo.tar.gz
3. I read foo.tar.xx and write it out as foo.tar.yy, that is, with a different compression method
4. I read foo.tar.xx and write it out as foo.tar (I explicitly remove compression)
5. I read foo.tar and write it out as foo.tar.xx (I explicitly add compression)

In my opinion, 1 and 2 are by far the most common use cases.  My proposal is to make tar-mode.el to behave as tar does in case 1: it does not care about the name suffix, and it does the right thing whether the file is compressed or not, which has been true since 2008.

You are objecting that if I read foo.tar and it's compressed, I cannot write it out uncompressed using Emacs.  I think that this use case is definitely exotic.  Especially with respect with people wanting to just read tar files and writing them without worrying whether they are compressed or not.